Skip to content
  • Lookup Addresses

    Use Lookup Addresses endpoint to lookup addresses closest to the input coordinates.

    Lookup addresses from geo location

    Request

    Send a GET request to lookup addresses from geo location.

    Query
    tstring

    Transmission Reference - Serves as a unique identifier for this set of records.

    Example:t=Test
    idany, (password)required

    Required. The License Key issued by Melissa.

    Example:id={REPLACE-WITH-YOUR-LICENSE-KEY}
    latstringrequired

    Required. The latitude geographic coordinate in decimal format.

    Example:lat=33.63756710910554
    longstringrequired

    Required. The longitude geographic coordinate in decimal format.

    Example:long=-117.60695049134513
    distnumber, <= 10

    Maximum Distance - The requested maximum distance in miles.

    Default:10
    Example:dist=10
    recsnumber, <= 100

    Maximum Records - The requested number of records.

    Default:100
    optstring

    Options - Specify which options to use for the selected action. List of options in <OptionName>:<Parameter> format. Multiple options are delimited with a ,.

    For example: OptionName:Parameter,OptionName:Parameter.

    • IncludeApartments:< On | Off > - This option allows you to include records with a non-null baseMAK. Default of Off will not include non-null baseMAK records.
    • IncludeEmptyLots:< On | Off > - This option allows you to specify if you want to include addresses that are empty lots in your search. Default of Off will not include empty lots.
    • IncludeUndeliverable:< On | Off > - This option allows you to specify if you want to include addresses we have identified as unable to deliver mail to. Default of On will include undeliverable addresses.
    formatstring

    The desired format of the response.

    Default:"xml"
    Enum:"json""xml"
    Example:format=json
    Headers
    Acceptstringrequired

    Format of the response.

    Enum:"application/json""application/xml""*/*"
    Example:*/*
    Content-Typestringrequired

    Format of the request.

    Enum:"application/json""application/xml"
    GET
    /doLookup
    curl -i -X GET \
      'https://reversegeo.melissadata.net/v3/web/ReverseGeoCode/doLookup?id=%7BREPLACE-WITH-YOUR-LICENSE-KEY%7D&lat=33.63756710910554&long=-117.60695049134513' \
      -H 'Accept: */*' \
      -H 'Content-Type: application/json'

    Responses

    Successful response

    Body
    Versionstring

    The current service version number.

    TransmissionReferencestring

    A pass-through of the input TransmissionReference field.

    TransmissionResultsstring

    Lists error codes from any errors caused by the most recent request as a whole. For more information, see Reverse GeoCoder Result Codes.

    Resultsstring

    Comma delimited status, error codes, and change codes for the record. For more information, see Reverse GeoCoder Result Codes.

    TotalRecordsinteger

    Total number of records.

    RecordsArray of objects, [ 1 .. 100 ] items
    Response
    { "Version": "6.2.0.5179", "TransmissionReference": "", "TransmissionResults": "", "Results": "GS07", "TotalRecords": 1, "Records": [ {} ] }